/preview/retail-media/insights/digital-shelf-intelligence
curl --request POST \
--url https://api.criteo.com/preview/retail-media/insights/digital-shelf-intelligence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "DigitalShelfIntelligenceInsight",
"attributes": {
"startDate": "2026-06-01T00:00:00.0000000+00:00",
"endDate": "2026-06-07T00:00:00.0000000+00:00",
"aggregationLevel": "brand",
"metrics": [
"considerationIndex",
"listingPrice",
"pdpViewRank",
"salesIndex",
"salesRank",
"totalPdpPageViews",
"totalSalesOnline",
"totalSoldUnitsOnline"
],
"filters": {
"retailerIds": [
"123"
],
"brandIds": [
"456"
],
"skuIds": [
{
"retailerId": "123",
"retailerSkuIds": [
"SKU-001",
"SKU-002"
]
}
],
"categories": [
"Electronics/Mobile Phones"
]
},
"accountId": "12345",
"format": "json-compact"
}
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/insights/digital-shelf-intelligence"
payload = { "data": {
"type": "DigitalShelfIntelligenceInsight",
"attributes": {
"startDate": "2026-06-01T00:00:00.0000000+00:00",
"endDate": "2026-06-07T00:00:00.0000000+00:00",
"aggregationLevel": "brand",
"metrics": ["considerationIndex", "listingPrice", "pdpViewRank", "salesIndex", "salesRank", "totalPdpPageViews", "totalSalesOnline", "totalSoldUnitsOnline"],
"filters": {
"retailerIds": ["123"],
"brandIds": ["456"],
"skuIds": [
{
"retailerId": "123",
"retailerSkuIds": ["SKU-001", "SKU-002"]
}
],
"categories": ["Electronics/Mobile Phones"]
},
"accountId": "12345",
"format": "json-compact"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'DigitalShelfIntelligenceInsight',
attributes: {
startDate: '2026-06-01T00:00:00.0000000+00:00',
endDate: '2026-06-07T00:00:00.0000000+00:00',
aggregationLevel: 'brand',
metrics: [
'considerationIndex',
'listingPrice',
'pdpViewRank',
'salesIndex',
'salesRank',
'totalPdpPageViews',
'totalSalesOnline',
'totalSoldUnitsOnline'
],
filters: {
retailerIds: ['123'],
brandIds: ['456'],
skuIds: [{retailerId: '123', retailerSkuIds: ['SKU-001', 'SKU-002']}],
categories: ['Electronics/Mobile Phones']
},
accountId: '12345',
format: 'json-compact'
}
}
})
};
fetch('https://api.criteo.com/preview/retail-media/insights/digital-shelf-intelligence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "12345678-90ab-cdef-1234-567890abcdef",
"type": "InsightStatus",
"attributes": {
"status": "Success",
"message": "rows_count=1234",
"createdAt": "2026-07-01T12:00:00.0000000+00:00",
"expiresAt": "2026-07-08T12:00:00.0000000+00:00",
"rowCount": 1234,
"md5CheckSum": "0123456789abcdef0123456789abcdef",
"fileSizeBytes": 154321
}
},
"warnings": [],
"errors": []
}/preview/retail-media/insights/digital-shelf-intelligence
Requests a Digital Shelf Intelligence insight report. This is an asynchronous, non-transactional operation: it does not return the analytic data. It enqueues an export job and returns the created insight report, whose id is then used to poll the insight status endpoint until the report is ready and to download the result from the insight output endpoint.
POST
/
preview
/
retail-media
/
insights
/
digital-shelf-intelligence
/preview/retail-media/insights/digital-shelf-intelligence
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
Response returned by the asynchronous insight endpoints, carrying the insight report status.
Was this page helpful?